Loading...
Searching...
No Matches
pdftron::Crypto::RSASSAPSSParams Class Reference

`#include <RSASSAPSSParams.h>`

Inheritance diagram for pdftron::Crypto::RSASSAPSSParams:

## Public Member Functions
| RSASSAPSSParams (const RSASSAPSSParams &other)
| RSASSAPSSParams (TRN_RSASSAPSSParams impl)
RSASSAPSSParams & | operator= (const RSASSAPSSParams &other)
| RSASSAPSSParams ()
| RSASSAPSSParams (const AlgorithmIdentifier &digest_algorithm_id, const UInt32 salt_length)
AlgorithmIdentifier | GetDigestAlgorithm () const
void | SetDigestAlgorithm (const AlgorithmIdentifier &value)
AlgorithmIdentifier | GetMaskGenAlgorithm () const
void | SetMaskGenAlgorithm (const AlgorithmIdentifier &value)
UInt32 | GetSaltLength () const
void | SetSaltLength (UInt32 value)
UInt32 | GetTrailerField () const
void | SetTrailerField (UInt32 value)
Public Member Functions inherited from pdftron::Crypto::AlgorithmParams
| AlgorithmParams ()
| AlgorithmParams (const AlgorithmParams &other)
AlgorithmParams & | operator= (const AlgorithmParams &other)
virtual | ~AlgorithmParams ()
| AlgorithmParams (TRN_AlgorithmParams impl)

## Additional Inherited Members
Public Attributes inherited from pdftron::Crypto::AlgorithmParams
TRN_AlgorithmParams | m_impl
Protected Member Functions inherited from pdftron::Crypto::AlgorithmParams
void | Destroy ()
Protected Attributes inherited from pdftron::Crypto::AlgorithmParams
bool | m_owner

## Detailed Description

The parameters for RSASSA-PSS algorithm

Definition at line 18 of file RSASSAPSSParams.h.

## Constructor & Destructor Documentation

## ◆ RSASSAPSSParams() [1/4]

pdftron::Crypto::RSASSAPSSParams::RSASSAPSSParams | ( | const RSASSAPSSParams & | other | ) |

## ◆ RSASSAPSSParams() [2/4]

pdftron::Crypto::RSASSAPSSParams::RSASSAPSSParams | ( | TRN_RSASSAPSSParams | impl | ) |

## ◆ RSASSAPSSParams() [3/4]

pdftron::Crypto::RSASSAPSSParams::RSASSAPSSParams | ( |  | ) |

Initialize RSASSA-PSS parameters with default values specified in RFC 4055.

## ◆ RSASSAPSSParams() [4/4]

pdftron::Crypto::RSASSAPSSParams::RSASSAPSSParams | ( | const AlgorithmIdentifier & | digest_algorithm_id,
|  | const UInt32 | salt_length )

Initialize RSASSA-PSS parameters with MGF1 for a given digest algorithm and salt length.

Parameters

  digest_algorithm_id | The digest algorithm.
  salt_length | The salt length.

## Member Function Documentation

## ◆ GetDigestAlgorithm()

AlgorithmIdentifier pdftron::Crypto::RSASSAPSSParams::GetDigestAlgorithm | ( |  | ) | const

Get the digest algorithm parameter value.

Returns
  The digest algorithm.

## ◆ GetMaskGenAlgorithm()

AlgorithmIdentifier pdftron::Crypto::RSASSAPSSParams::GetMaskGenAlgorithm | ( |  | ) | const

Get the mask generation function parameter value.

Returns
  The mask generation function.

## ◆ GetSaltLength()

UInt32 pdftron::Crypto::RSASSAPSSParams::GetSaltLength | ( |  | ) | const

Get the salt length parameter value.

Returns
  The salt length.

## ◆ GetTrailerField()

UInt32 pdftron::Crypto::RSASSAPSSParams::GetTrailerField | ( |  | ) | const

Get the trailer field parameter value.

Returns
  The trailer field.

## ◆ operator=()

RSASSAPSSParams & pdftron::Crypto::RSASSAPSSParams::operator= | ( | const RSASSAPSSParams & | other | ) |

## ◆ SetDigestAlgorithm()

void pdftron::Crypto::RSASSAPSSParams::SetDigestAlgorithm | ( | const AlgorithmIdentifier & | value | ) |

Set the digest algorithm parameter value.

Parameters

  value | The digest algorithm.

## ◆ SetMaskGenAlgorithm()

void pdftron::Crypto::RSASSAPSSParams::SetMaskGenAlgorithm | ( | const AlgorithmIdentifier & | value | ) |

Set the mask generation function parameter value.

Parameters

  value | The mask generation function.

## ◆ SetSaltLength()

void pdftron::Crypto::RSASSAPSSParams::SetSaltLength | ( | UInt32 | value | ) |

Set the salt length parameter value.

Parameters

  value | The salt length.

## ◆ SetTrailerField()

void pdftron::Crypto::RSASSAPSSParams::SetTrailerField | ( | UInt32 | value | ) |

Set the trailer field parameter value.

Parameters

  value | The trailer field.

The documentation for this class was generated from the following file:

- Crypto/RSASSAPSSParams.h